Bug 972313 - [abrt] calibre-0.9.34-1.fc19: mobiml.py:493:mobimlize_elem:AttributeError: 'builtin_function_or_method' object has no attribute 'rpartition'
[abrt] calibre-0.9.34-1.fc19: mobiml.py:493:mobimlize_elem:AttributeError: 'b...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: calibre (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:bb6bca7ebac2314d4d95f49d0b4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-08 06:57 EDT by James Heather
Modified: 2015-02-18 08:55 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:55:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.06 KB, text/plain)
2013-06-08 06:57 EDT, James Heather
no flags Details
File: core_backtrace (991 bytes, text/plain)
2013-06-08 06:57 EDT, James Heather
no flags Details
File: environ (3.66 KB, text/plain)
2013-06-08 06:57 EDT, James Heather
no flags Details
File: proceedings.epub (2.96 MB, application/octet-stream)
2013-06-08 06:57 EDT, James Heather
no flags Details

  None (edit)
Description James Heather 2013-06-08 06:57:24 EDT
Description of problem:
I was trying to convert from epub to mobi. The epub is not private, and I am happy to provide it if it would help.

Version-Release number of selected component:
calibre-0.9.34-1.fc19

Additional info:
reporter:       libreport-2.1.4
cmdline:        python2 /usr/bin/ebook-convert proceedings.epub proceedings.mobi '--title=Proceedings of Vote-ID 2013' '--authors=James Heather & Steve Schneider & Vanessa Teague'
executable:     /usr/bin/ebook-convert
kernel:         3.9.4-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
mobiml.py:493:mobimlize_elem:AttributeError: 'builtin_function_or_method' object has no attribute 'rpartition'

Traceback (most recent call last):
  File "/usr/bin/ebook-convert", line 20, in <module>
    sys.exit(main())
  File "/usr/lib64/calibre/calibre/ebooks/conversion/cli.py", line 329, in main
    plumber.run()
  File "/usr/lib64/calibre/calibre/ebooks/conversion/plumber.py", line 1160, in run
    self.opts, self.log)
  File "/usr/lib64/calibre/calibre/ebooks/conversion/plugins/mobi_output.py", line 204, in convert
    self.write_mobi(input_plugin, output_path, kf8, resources)
  File "/usr/lib64/calibre/calibre/ebooks/conversion/plugins/mobi_output.py", line 236, in write_mobi
    mobimlizer(oeb, opts)
  File "/usr/lib64/calibre/calibre/ebooks/mobi/mobiml.py", line 113, in __call__
    self.mobimlize_spine()
  File "/usr/lib64/calibre/calibre/ebooks/mobi/mobiml.py", line 124, in mobimlize_spine
    [FormatState()])
  File "/usr/lib64/calibre/calibre/ebooks/mobi/mobiml.py", line 543, in mobimlize_elem
    self.mobimlize_elem(child, stylizer, bstate, istates)
  File "/usr/lib64/calibre/calibre/ebooks/mobi/mobiml.py", line 493, in mobimlize_elem
    elem[0].tag.rpartition('}')[-1] not in INLINE_TAGS):
AttributeError: 'builtin_function_or_method' object has no attribute 'rpartition'

Local variables in innermost frame:
vpadding: 0.0
style: <calibre.ebooks.oeb.stylizer.Style object at 0x422f3d0>
bstate: <calibre.ebooks.mobi.mobiml.BlockState object at 0x42316d0>
isblock: True
ignore_valign: False
weight: 'normal'
istates: [<calibre.ebooks.mobi.mobiml.FormatState object at 0x4231310>, <calibre.ebooks.mobi.mobiml.FormatState object at 0x4231110>, <calibre.ebooks.mobi.mobiml.FormatState object at 0x42315d0>]
text: None
self: <calibre.ebooks.mobi.mobiml.MobiMLizer object at 0x2e6f450>
elem: <Element {http://www.w3.org/1999/xhtml}div at 0x2bb9f00>
padding: 0.0
istate: <calibre.ebooks.mobi.mobiml.FormatState object at 0x42315d0>
tag: u'div'
stylizer: <calibre.ebooks.oeb.stylizer.Stylizer object at 0x4231790>
ff: 'serif'
vmargin: 0.0
margin: 0.0
display: u'block'
left: 0.0
Comment 1 James Heather 2013-06-08 06:57:29 EDT
Created attachment 758485 [details]
File: backtrace
Comment 2 James Heather 2013-06-08 06:57:33 EDT
Created attachment 758486 [details]
File: core_backtrace
Comment 3 James Heather 2013-06-08 06:57:36 EDT
Created attachment 758487 [details]
File: environ
Comment 4 James Heather 2013-06-08 06:57:57 EDT
Created attachment 758488 [details]
File: proceedings.epub
Comment 5 Kevin Fenzi 2013-06-08 15:26:06 EDT
This appears fixed by: 

https://github.com/kovidgoyal/calibre/commit/f5c9ad8661023d874b49327a325f58efae86fd96

Can you wait a week or so for the fix? Or would you like me to push an update with the fix...
Comment 6 James Heather 2013-06-08 16:03:42 EDT
If it's going to be updated in a week, that's not a huge problem. I can do it for the moment on a Fedora 18 machine, which appears not to have this issue.

Thank you for the prompt response.
Comment 7 James Heather 2013-07-23 11:19:26 EDT
This is quite a long week ;-)

Any chance of pushing an update with the fix?
Comment 8 Kevin Fenzi 2013-07-23 11:38:57 EDT
Sorry, I simply haven't pushed a newer one yet to the main repos. 

You can test the latest in my side repo: 

su
cd /etc/yum.repos.d/
wget http://repos.fedorapeople.org/repos/kevin/calibre/fedora-calibre.repo
yum clean all
yum update calibre

If that version works it would be great to hear...
Comment 9 Fedora End Of Life 2015-01-09 17:08:37 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2015-02-18 08:55:36 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.